Subject: Re: [RFC][PATCH 1/1] net: support for hardware timestamping

From: Ingo Oeser <[email-masked]>
Date: Tue, 29 Jul 2008 20:27:01 +0200

Hi Octavian,

Octavian Purdila schrieb:
> On Tuesday 29 July 2008, Ingo Oeser wrote:
> In here:
> 
> net/netfilter/xt_time.c
> 
> it seems that the skb->tstamp needs to be CPU time. 

Yeah, but not being off more than half a second should be ok
even for that obscure use case. 

If your objective is to measure time and relate it to wall clock time, 
your host clock should be close to that using NTP without any problems :-)

> Frankly I don't care about that, but the tstamp is also used in other places 
> like the IP and TCP code paths and I can't say that I barely understand that 
> part :) 
> 
> But if it is ok to use any kind of monotonic increasing timestamp, that will 
> solve my problem, indeed.

Great! :-)

Best Regards

Ingo Oeser